Page MenuHomeFreeBSD

bhyve nvme: Add AEN support to NVMe emulation
ClosedPublic

Authored by chuck on Nov 12 2021, 12:43 AM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Jan 4, 9:05 AM
Unknown Object (File)
Sat, Dec 31, 6:24 AM
Unknown Object (File)
Dec 18 2022, 7:15 AM
Unknown Object (File)
Dec 14 2022, 6:20 AM

Details

Summary

Add Asynchronous Event Notification infrastructure to the NVMe
emulation.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Maybe a note to fix the spelling later in the commit :)

This revision is now accepted and ready to land.Nov 12 2021, 9:47 PM

A few updates after passing the compliance tests

  • Enhanced debug logging
  • Enable all AENs by default
  • Wrap waking of AEN processing thread in helper function
  • Also wake AEN processing as part of some Set Features and Async Requests
This revision now requires review to proceed.Dec 10 2021, 8:04 PM

Generally, this looks good. I've not looked at every bit of it, though, with an eye towards pedantry.
And I don't know bhyve well, but the NVMe stuff looks generally good.

This revision is now accepted and ready to land.Dec 10 2021, 9:06 PM
This revision was automatically updated to reflect the committed changes.